###

#

iterator_add_deref< Iterator, Deref > Struct Template Reference
Pixel Iterator » Models » dereference_iterator_adaptor

Returns the type (and creates an instance) of an iterator that invokes the given dereference adaptor upon dereferencing. More...

`#include <pixel_iterator_adaptor.hpp>`

## Public Types

using | type = dereference_iterator_adaptor< Iterator, Deref >

## Static Public Member Functions

static type | make (const Iterator &it, const Deref &d)

## Detailed Description

template<typename Iterator, typename Deref>
struct boost::gil::iterator_add_deref< Iterator, Deref >

Returns the type (and creates an instance) of an iterator that invokes the given dereference adaptor upon dereferencing.

The documentation for this struct was generated from the following files:

- locator.hpp
- pixel_iterator_adaptor.hpp